Package org.apache.el.util

# Class MessageFactory

java.lang.Object
org.apache.el.util.MessageFactory

public final class MessageFactory extends Object

Author:
  Jacob Hookom [jacob@hookom.net]

## Constructor Summary

Constructors
Constructor
Description
`MessageFactory(ResourceBundle bundle)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`get(String key)`
`static String`
`get(String key, Object... args)`
`protected String`
`getInternal(String key)`
`protected String`
`getInternal(String key, Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageFactory

public MessageFactory(ResourceBundle bundle)

## Method Details

### get

public static String get(String key)

### get

public static String get(String key, Object... args)

### getInternal

protected String getInternal(String key)

### getInternal

protected String getInternal(String key, Object... args)